cURL
curl --request POST \
--url https://app.callx.io/api/v1/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumberId": "<string>",
"customer": {
"number": "<string>"
},
"assistant": "<unknown>"
}
'import requests
url = "https://app.callx.io/api/v1/calls"
payload = {
"phoneNumberId": "<string>",
"customer": { "number": "<string>" },
"assistant": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumberId: '<string>',
customer: {number: '<string>'},
assistant: '<unknown>'
})
};
fetch('https://app.callx.io/api/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"callSid": "<string>",
"accountSid": "<string>",
"callLogId": "<string>",
"to": "<string>",
"from": "<string>",
"status": "queued",
"direction": "outbound-api"
}{
"error": 123,
"message": "<string>"
}Endpoint Examples
Make a call
Creates a new outbound call in the callX
POST
/
api
/
v1
/
calls
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Call details to create a new outbound call
⌘I